Package: groovy.xml

## [Java] Class MarkupBuilder.DefaultXmlEscapingFunction

- groovy.xml.MarkupBuilder.DefaultXmlEscapingFunction

- All Implemented Interfaces and Traits:
    Function

      public static class MarkupBuilder.DefaultXmlEscapingFunction
      extends Object
      implements Function

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultXmlEscapingFunction(boolean isAttrValue, boolean useDoubleQuotes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Optional<String>` | `apply(Character ch)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public DefaultXmlEscapingFunction(boolean isAttrValue, boolean useDoubleQuotes)

  - ### Method Detail

    - #### @Override
      public Optional<String> apply(Character ch)